﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using HeuristicLab.Common;
using HeuristicLab.Core;

namespace HeuristicLab.Clients.OKB {
  [Item("AlgorithmParameter", "An OKB algorithm parameter.")]
  public partial class AlgorithmParameter {
    protected AlgorithmParameter(AlgorithmParameter original, Cloner cloner)
      : base(original, cloner) {
      Alias = original.Alias;
      AlgorithmId = original.AlgorithmId;
      DataTypeId = original.DataTypeId;
    }
    public AlgorithmParameter() {
      Name = "New AlgorithmParameter";
      Alias = Name;
      AlgorithmId = 0;
      DataTypeId = 1;
    }

    public override IDeepCloneable Clone(Cloner cloner) {
      return new AlgorithmParameter(this, cloner);
    }
  }
}
